Subject: Re: bug#19776: 25.0.50; HTML rendering is very slow

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 25 Oct 2021 16:32:50 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> EMACS_IGNORE_TIMERFD=t ./src/emacs 
>
> doesn't disable it, either?  That egetenv call returns NULL even if I
> start Emacs like that?  Odd. 

So this is a tangent, but this is a repeatable bug.  If I call 

  printf ("fd: %s\n", egetenv ("FOO"));

from init_atimer, it always says (null).  (And "FOO" is defined.)
However, if I call egetenv later, I do get the correct value.

So is there something about (e)getenv that makes it not work during the
(early) startup of Emacs?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no